// function that receives two hours in hh:mm format and compares as a spaceship operator
export function compareHours(h1, h2) {
    const [h1h, h1m] = h1.split(":").map(Number);
    const [h2h, h2m] = h2.split(":").map(Number);
    if (h1h > h2h)
        return 1;
    if (h1h < h2h)
        return -1;
    if (h1m > h2m)
        return 1;
    if (h1m < h2m)
        return -1;
    return 0;
}
